> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://murf.ai/api/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://murf.ai/api/docs/_mcp/server.

# List Voices

GET https://api.murf.ai/v1/speech/voices

Returns a list of available voices for speech synthesis.

The Gen2 model has been decommissioned for [streaming](/api/docs/text-to-speech/streaming). Gen2 supported voices remain available through the non-streaming [Synthesize Speech](/api/docs/api-reference/text-to-speech/generate) endpoint. For streaming, use our latest [Falcon 2](/api/docs/text-to-speech-models/falcon-2) model.

Reference: https://murf.ai/api/docs/api-reference/voices/get-voices

## Request

### Query parameters

- `model` (string, optional, default: GEN2) — Valid values: falcon-2, gen2

### Headers

- `token` (string, optional)
- `api-key` (string, optional)

## Response

### 200

Ok

- `list of ApiVoice`

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 403 Forbidden Error

Invalid or expired token provided

- `any`

### 500 Internal Server Error

Internal Server Error

- `any`

### 503 Service Unavailable Error

Service Unavailable

- `any`

## Types

### ApiVoice

- `description` (string, optional)
- `displayName` (string, optional)
- `gender` (enum, optional)
  - Allowed values: `Male`, `Female`, `NonBinary`
- `locale` (string, optional)
- `supportedLocales` (map from string to StyleDetails, optional)
- `voiceId` (string, optional)
- `accent` (string, optional, deprecated) — This field has been deprecated. Please refer to 'supportedLocales.detail' instead.
- `availableStyles` (list of string, optional, deprecated) — This field has been deprecated. Please refer to 'supportedLocales.availableStyles' instead.
- `displayLanguage` (string, optional, deprecated) — This field has been deprecated. Please refer to 'supportedLocales.detail' instead.

### StyleDetails

- `availableStyles` (list of string, optional)
- `detail` (string, optional)

## Examples

**Response**

```json
[
  {
    "description": "Middle-Aged",
    "displayName": "Ken (M)",
    "gender": "Male",
    "locale": "en-US",
    "supportedLocales": {
      "de-DE": {
        "availableStyles": [
          "Promo"
        ],
        "detail": "German (Germany)"
      },
      "en-US": {
        "availableStyles": [
          "Conversational",
          "Promo",
          "Newscast",
          "Storytelling",
          "Calm",
          "Furious",
          "Angry",
          "Sobbing",
          "Sad"
        ],
        "detail": "English (US & Canada)"
      },
      "es-ES": {
        "availableStyles": [
          "Promo"
        ],
        "detail": "Spanish (Spain)"
      }
    },
    "voiceId": "Ken",
    "accent": "US & Canada",
    "availableStyles": [
      "Conversational",
      "Promo",
      "Newscast",
      "Storytelling",
      "Calm",
      "Furious",
      "Angry",
      "Sobbing",
      "Sad"
    ],
    "displayLanguage": "English"
  }
]
```

**SDK Code**

```python Data for the voice "Ken"
import requests
url = "https://api.murf.ai/v1/speech/voices?model=falcon-2"
headers = {
    "api-key": "YOUR_API_KEY_HERE"
}
response = requests.get(url, headers=headers)
print(response.json())

```

```javascript Data for the voice "Ken"
const url = 'https://api.murf.ai/v1/speech/voices';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Data for the voice "Ken"
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.murf.ai/v1/speech/voices"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Data for the voice "Ken"
require 'uri'
require 'net/http'

url = URI("https://api.murf.ai/v1/speech/voices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Data for the voice "Ken"
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.murf.ai/v1/speech/voices")
  .asString();
```

```php Data for the voice "Ken"
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.murf.ai/v1/speech/voices');

echo $response->getBody();
```

```csharp Data for the voice "Ken"
using RestSharp;

var client = new RestClient("https://api.murf.ai/v1/speech/voices");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Data for the voice "Ken"
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.murf.ai/v1/speech/voices")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```